﻿using UnityEngine;
using System;
using System.Collections;

/**
 * イベントのテスト。
 */
public class EventTest : MonoBehaviour {
	/**
	 * UIManager.
	 */
	UIManager uiManager;

	/**
	 * Awake.
	 */
	public void Awake() {
		this.uiManager = GameObject.Find("UIManager").GetComponent<UIManager>();
		this.uiManager.OnClick += this.RotateCube;
	}

	/**
	 * 回転させ、60度異常になったら削除させる。
	 */
	public void RotateCube(object sender, EventArgs args) {
		this.transform.Rotate(0, 10, 0);

		if (this.transform.rotation.eulerAngles.y >= 60) {
			this.uiManager.OnClick -= this.RotateCube;
			Destroy(this.gameObject);
		}
	}
}
