﻿using UnityEngine;
using System.Collections;

/**
 * メソッドを呼ぶテスト。
 */
public class RegistMethodTest : MonoBehaviour {
	/**
	 * UIManager.
	 */
	UIManager uiManager;

	/**
	 * Awake.
	 */
	public void Awake() {
		this.uiManager = GameObject.Find("UIManager").GetComponent<UIManager>();
		uiManager.AddMethod(this.RotateCube);
	}

	/**
	 * 回転させ、60度異常になったら削除させる。
	 */
	public void RotateCube() {
		this.transform.Rotate(0, 10, 0);

		if (this.transform.rotation.eulerAngles.y >= 60) {
			this.uiManager.RemoveMethod(this.RotateCube);
			Destroy(this.gameObject);
		}
	}
}
